
registerType('Editor.Inspector', (function () { function Button() {} var __super = setSupertypeFromDomain(Button, 'Button', 'Core.UI');


	

Button.prototype.initFromData = function Button_initFromData(data) {
	
		if (!__super.prototype.initFromData.call(this, data, true))
			return;
		
		this.undefinedValue = data.undefinedValue;
		this.value = data.value || this.undefinedValue;

		return this;
};
	


	

Button.prototype.valueShouldChangeForKeyPath = function Button_valueShouldChangeForKeyPath(value, keyPath) {
		
		if (keyPath === 'state') {

			if (value === undefined) {
				this.value = this.undefinedValue;
				this.disabled = true;
				return true;
			}
		
			if (valuesAreEqual(value)) {
				this.state = value[0];
				this.styleButton();
			}

			return true;
		}
		
		return false;
	};
	

Button.prototype.expectedTypeForProperty = function Button_expectedTypeForProperty(key) {
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return Button; }()));